#
# spec file for package sdricoh_cs (Version 0.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           sdricoh_cs
BuildRequires:  kernel-source kernel-syms
Summary:        Kernel Module for Ricoh Bay1Controller SD Cardreaders
Version:        0.1
Release:        1
Group:          System/Kernel
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://sourceforge.net/projects/sdricohcs/
Source0:         sdricoh_cs-%{version}.tar.gz
%suse_kernel_module_package kdump um

%description
This package contains a driver for Ricoh Bay1Controllers SD Cardreaders

Authors:
--------
    Sascha Sommer <saschasommer@freenet.de>


%prep
%setup -n sdricoh_cs-%{version}
set -- *
mkdir source
mv "$@" source/ 
mkdir obj


%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n sdricoh_cs-kmp
* Wed Feb 28 2007 - ssommer@suse.de
   - initial package for version 0.1
